package com.nokia.siteinfo.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Data
@Configuration
@ConfigurationProperties("task.config")
public class TaskConfig {
    /**
     * 导入数据脚本路径
     */
    private String importScript;
    /**
     * 数据库ip
     */
    private String dbHost1;
    /**
     * 数据库端口
     */
    private String dbPort1;
    /**
     * 数据库账号
     */
    private String dbUsername1;
    /**
     * 数据库密码
     */
    private String dbPassword1;
    /**
     * 数据库名称
     */
    private String dbName1;
    /**
     * 数据库驱动
     */
    private String driverClassName1;
    /**
     * jdbc链接
     */
    private String jdbcUrl1;
    /**
     * 数据库ip
     */
    private String dbHost2;
    /**
     * 数据库端口
     */
    private String dbPort2;
    /**
     * 数据库账号
     */
    private String dbUsername2;
    /**
     * 数据库密码
     */
    private String dbPassword2;
    /**
     * 数据库名称
     */
    private String dbName2;
    /**
     * 数据库驱动
     */
    private String driverClassName2;
    /**
     * jdbc链接
     */
    private String jdbcUrl2;
    /**
     * 数据库ip
     */
    private String dbHost3;
    /**
     * 数据库端口
     */
    private String dbPort3;
    /**
     * 数据库账号
     */
    private String dbUsername3;
    /**
     * 数据库密码
     */
    private String dbPassword3;
    /**
     * 数据库名称
     */
    private String dbName3;
    /**
     * 数据库驱动
     */
    private String driverClassName3;
    /**
     * jdbc链接
     */
    private String jdbcUrl3;
    /**
     * 最小插入数据
     */
    private Long minInsertCount;
    /**
     * 超时分钟
     */
    private Long timeout;
}
